Skip to main content
GET
/
v1
/
links
/
{link_id}
Get Link
curl --request GET \
  --url https://api.agenthuman.com/v1/links/{link_id} \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "link": {
    "link_id": "lnk_01J8ZK4R2N5M6P7Q8W4T",
    "name": "Product Demo",
    "url": "https://app.agenthuman.com/s/lnk_01J8ZK4R2N5M6P7Q8W4T",
    "agent": {
      "agent_id": "agnt_01J8ZK4R2N5M6P7Q8W4T",
      "name": "Support Agent",
      "avatar_image_url": "https://cdn.example.com/avatars/support.jpg",
      "created_at": "2024-01-15T10:00:00Z",
      "voice_agent": {
        "provider": "ElevenLabs",
        "agent_id": "el_agent_xxxxxxxxxxxxxxxx",
        "auth_method": "public"
      }
    },
    "status": "active",
    "uses": 12,
    "use_limit": 100,
    "created_at": "2024-01-15T10:30:00Z",
    "expires_at": "2024-02-15T10:30:00Z"
  }
}

Path Parameters

The unique link identifier (starts with lnk_).

Response

success
boolean
Whether the request was successful.
The Link object, including the nested Agent.
{
  "success": true,
  "link": {
    "link_id": "lnk_01J8ZK4R2N5M6P7Q8W4T",
    "name": "Product Demo",
    "url": "https://app.agenthuman.com/s/lnk_01J8ZK4R2N5M6P7Q8W4T",
    "agent": {
      "agent_id": "agnt_01J8ZK4R2N5M6P7Q8W4T",
      "name": "Support Agent",
      "avatar_image_url": "https://cdn.example.com/avatars/support.jpg",
      "created_at": "2024-01-15T10:00:00Z",
      "voice_agent": {
        "provider": "ElevenLabs",
        "agent_id": "el_agent_xxxxxxxxxxxxxxxx",
        "auth_method": "public"
      }
    },
    "status": "active",
    "uses": 12,
    "use_limit": 100,
    "created_at": "2024-01-15T10:30:00Z",
    "expires_at": "2024-02-15T10:30:00Z"
  }
}